<?php //запись блока image
$ahw=array();
preg_match("!<div id=\"imCellStyle_(\d+?)\"!u", $textS, $numid);
preg_match("!<td id=\"pic\"[^<]*?(<a.*?<\/a>)!u", $textS, $ahw);
$href=1;
if (!isset($ahw[0]) || $ahw[0]==''){
$href=0;
preg_match("!<td id=\"pic\"[^<]*?(<img [^>]*?>)!u", $textS, $ahw);
}

$fxx=array();
// картинки с эф. рамки и с эф. свечения
preg_match('!<td id="onmover_c".*?>(\#\w*?)</td>[<>\/tr\s\r\n]*?<td id="onmover_d".*?>(\d+)</td>!', $textS, $fxx);
if (isset($fxx[1])&& isset($fxx[2])&& trim($fxx[1])!='' && trim($fxx[2])!='') {$fxx[2]=trim($fxx[2]);$fxx[1]=trim($fxx[1]);
$textS=preg_replace("!imagefx\.border\('(\#\w*?)', '(\#\w*?)', (\d+)\)!", 'imagefx.border(\'$1\', \''.$fxx[1].'\', '.$fxx[2].')', $textS);
$textS=preg_replace("!imagefx\.glow\('(\#\w*?)', (\d+), '(\#\w*?)'\)!", 'imagefx.glow(\'$1\', '.$fxx[2].', \''.$fxx[1].'\')', $textS);
}
// картинки с эф. наложения
preg_match('!<td id="onmover_i".*?src="(.*?)".*?</td>[<>\/tr\s\r\n]*?<td id="onmover_al".*?>([\w-]*?)</td>!', $textS, $fxx);
if (isset($fxx[1])&& isset($fxx[2])&& trim($fxx[1])!='' && trim($fxx[2])!='') {$fxx[2]=trim($fxx[2]);$fxx[1]=trim($fxx[1]); 
$textS=preg_replace("!imagefx\.overlay\('(\#\w*?)', '([\w-/\.]*?)', '([\w-]*?)'\)!", 'imagefx.overlay(\'$1\', \''.$fxx[1].'\', \''.$fxx[2].'\')', $textS);
}
// картинки с zoom и текст
preg_match('!<td id="onmover_t".*?>(.*?)</td>[<>\/tr\s\r\n]*?<td id="onmover_ts".*?</td>!', $textS, $fxx);
if (isset($fxx[1])&& trim($fxx[1])!='') {$fxx1=trim($fxx[1]);
$textS=preg_replace("!imagefx\.innerZoom\('(\#\w*?)', '(.*?)', {(.*?)}!", 'imagefx.innerZoom(\'$1\', \''.$fxx1.'\', {$3}', $textS);
}
// картинка с эф. скачок
preg_match('!<td id="onmover_j".*?>(\d+)</td>[<>\/tr\s\r\n]*?<td id="onmover_j1".*?>(\w*?)</td>!', $textS, $fxx);
if (isset($fxx[1])&& isset($fxx[2])&& trim($fxx[1])!='' && trim($fxx[2])!='') {$fxx[2]=trim($fxx[2]);$fxx[1]=trim($fxx[1]); 
$textS=preg_replace("!imagefx\.jump\('(\#\w*?)', (\d+), (\w*?)\)!", 'imagefx.jump(\'$1\', '.$fxx[1].', '.$fxx[2].')', $textS);
}
// картинка с эф. уменьшение прозрачности
preg_match('!<td id="onmover_oO".*?>(\d+)</td>!', $textS, $fxx); $dfx=trim($fxx[1])/100;
if (isset($fxx[1])&& trim($fxx[1])!='') {$fxx[1]=trim($fxx[1]); 
$textS=preg_replace("!imagefx\.opacityOut\('(\#\w*?)', ((\d+\.)?\d+)\)!", 'imagefx.opacityOut(\'$1\', '.$dfx.')', $textS);
}
// картинка с эф. увеличение прозрачности

preg_match('!<td id="onmover_oI".*?>(\d+)</td>!', $textS, $fxx); $dfx=trim($fxx[1])/100;
if (isset($fxx[1])&& trim($fxx[1])!='') {$fxx[1]=trim($fxx[1]); 
$textS=preg_replace("!imagefx\.opacityIn\('(\#\w*?)', ((0\.)?\d+)\)!", 'imagefx.opacityIn(\'$1\', '.$dfx.')', $textS);
}

// сообщение всплывающего по ссылке окна
preg_match('!<td id="href_pop".*?>([^\<]*?)</td>!', $textS, $apop);

// текст подсказки onmouseover  ссылки
preg_match('!<td id="href_tip".*?>([^\<]*?)</td>!', $textS, $atip);



// удаление таблицы с параметрами
$textS=preg_replace("!<table class=\"tt\"[^>]*?>[\S\s\r\n]*?</table>!u", '', $textS);


if((isset($ahw[1]) || $ahw[1]!='') && strpos($textS, 'href="')!==false)
{
$textS=preg_replace('!<a.*?<\/a>!u',  $ahw[1] , $textS);
 }
elseif ((isset($ahw[1]) || $ahw[1]!='')) 
{$textS=preg_replace('!<img[^>]*?>!u',  $ahw[1], $textS);}
if(strpos($textS, 'img id="')===false) {$textS = str_replace('img ', 'img id="ImObjectImage_'.$numid[1].'" ', $textS); }

if (isset($apop[1])) {
$textS=preg_replace("!x5engine.utils.popup\(\{text: '([^\']*?)'!u", "x5engine.utils.popup({text: '".$apop[1]."'", $textS);
}
if (isset($atip[1])) {
$textS=preg_replace("!x5engine.imTip.Show\(this, \{ text: '([^\']*?)'!u", "x5engine.imTip.Show(this, { text: '".$atip[1]."'", $textS);
}

// копирование ссылки href в onclick location и в onclick  imPopUpWin
preg_match('!href="([^\"]*?)"!u', $textS, $hrf);
if (substr($hrf[1],0,8)!='javascri' && $hrf[1]!='#'){
if(strpos($ahw[1], 'target="_')===false){
$textS=str_replace('onclick="return;','onclick="',$textS);} // включили onclick если не задан target
else {$textS=str_replace('onclick="return ','onclick="return;return ',$textS);}// выключили onclick если  задан target
$textS=preg_replace('!href="([^\"]*?)".*? onclick="(.*?)location\(\'.*?\'\)">!su', 'href="$1" onclick="$2location(\'$1\')">' , $textS);
$textS=preg_replace('!href="([^\"]*?)".*? onclick="(.*?)imPopUpWin\(\'.*?\',\'(.*?)">!su', 'href="$1" onclick="$2imPopUpWin(\'$1\',\'$3">' , $textS);
$textS=preg_replace('!href="([^\"]*?)" onclick="return x5engine.imShowBox\((.*?), url: \'(.*?)\',!su', 'href="$1" onclick="return x5engine.imShowBox($2, url: \'$1\',', $textS);
}
if (substr($hrf[1],0,8)=='javascri' || substr($hrf[1],0,1)=='#') {$textS=str_replace('onclick="return x','onclick="return;return x',$textS);} // выключили onclick если в href яваскрипт
?> 